Page MenuHomePhabricator

Schema change to make change_tag.ct_rc_id unsigned
Open, Stalled, MediumPublic

Description

  1. ALTERs to run: https://gerrit.wikimedia.org/r/plugins/gitiles/mediawiki/core/+/2bc70884ab5ea90e74208415e7124cc1c1d8741d/maintenance/archives/patch-change_tag-ct_rc_id-unsigned.sql
  2. Where to run those changes: all.dblist
  3. When to run those changes: At any time (preferably before rc_id running out of space but that won't happen until at least 2025)
  4. If the schema change is backwards compatible: Yes
  5. If the schema change has been tested already on some of the test/beta wikis: Tested in beta cluster
  6. if the data should be made available on the labs replicas and/or dumps: Yes, data in this table is public.

Context: https://gerrit.wikimedia.org/r/c/mediawiki/core/+/618637 (T62962: The primary key of recentchanges (rc_id) table should be unsigned T157227: MediaWiki DB tables with columns which references other columns but have different type (tracking) T230428: Migrate tables.sql to abstract schema)

Thanks!

Schema change progress:

Related Objects

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes

Mentioned in SAL (#wikimedia-operations) [2020-09-24T09:14:46Z] <kormat@cumin1001> dbctl commit (dc=all): 'db2138:3312 depooling: schema change T259831', diff saved to https://phabricator.wikimedia.org/P12785 and previous config saved to /var/cache/conftool/dbconfig/20200924-091445-kormat.json

Mentioned in SAL (#wikimedia-operations) [2020-09-24T09:35:15Z] <kormat@cumin1001> dbctl commit (dc=all): 'db2138:3312 (re)pooling @ 25%: schema change T259831', diff saved to https://phabricator.wikimedia.org/P12786 and previous config saved to /var/cache/conftool/dbconfig/20200924-093514-kormat.json

Mentioned in SAL (#wikimedia-operations) [2020-09-24T09:50:18Z] <kormat@cumin1001> dbctl commit (dc=all): 'db2138:3312 (re)pooling @ 50%: schema change T259831', diff saved to https://phabricator.wikimedia.org/P12787 and previous config saved to /var/cache/conftool/dbconfig/20200924-095018-kormat.json

Mentioned in SAL (#wikimedia-operations) [2020-09-24T10:05:22Z] <kormat@cumin1001> dbctl commit (dc=all): 'db2138:3312 (re)pooling @ 75%: schema change T259831', diff saved to https://phabricator.wikimedia.org/P12788 and previous config saved to /var/cache/conftool/dbconfig/20200924-100521-kormat.json

Mentioned in SAL (#wikimedia-operations) [2020-09-24T10:20:25Z] <kormat@cumin1001> dbctl commit (dc=all): 'db2138:3312 (re)pooling @ 100%: schema change T259831', diff saved to https://phabricator.wikimedia.org/P12789 and previous config saved to /var/cache/conftool/dbconfig/20200924-102025-kormat.json

Mentioned in SAL (#wikimedia-operations) [2020-09-29T12:28:12Z] <kormat@cumin1001> dbctl commit (dc=all): 'Temporarily add db2126 to dump/vslow T259831', diff saved to https://phabricator.wikimedia.org/P12835 and previous config saved to /var/cache/conftool/dbconfig/20200929-122811-kormat.json

Mentioned in SAL (#wikimedia-operations) [2020-09-29T12:29:15Z] <kormat@cumin1001> dbctl commit (dc=all): 'db2108 depooling: schema change T259831', diff saved to https://phabricator.wikimedia.org/P12836 and previous config saved to /var/cache/conftool/dbconfig/20200929-122914-kormat.json

Mentioned in SAL (#wikimedia-operations) [2020-09-29T12:55:08Z] <kormat@cumin1001> dbctl commit (dc=all): 'db2108 (re)pooling @ 25%: schema change T259831', diff saved to https://phabricator.wikimedia.org/P12837 and previous config saved to /var/cache/conftool/dbconfig/20200929-125508-kormat.json

Mentioned in SAL (#wikimedia-operations) [2020-09-29T13:10:12Z] <kormat@cumin1001> dbctl commit (dc=all): 'db2108 (re)pooling @ 50%: schema change T259831', diff saved to https://phabricator.wikimedia.org/P12838 and previous config saved to /var/cache/conftool/dbconfig/20200929-131011-kormat.json

Mentioned in SAL (#wikimedia-operations) [2020-09-29T13:25:15Z] <kormat@cumin1001> dbctl commit (dc=all): 'db2108 (re)pooling @ 75%: schema change T259831', diff saved to https://phabricator.wikimedia.org/P12839 and previous config saved to /var/cache/conftool/dbconfig/20200929-132515-kormat.json

Mentioned in SAL (#wikimedia-operations) [2020-09-29T13:40:18Z] <kormat@cumin1001> dbctl commit (dc=all): 'db2108 (re)pooling @ 100%: schema change T259831', diff saved to https://phabricator.wikimedia.org/P12840 and previous config saved to /var/cache/conftool/dbconfig/20200929-134018-kormat.json

Mentioned in SAL (#wikimedia-operations) [2020-09-29T13:49:26Z] <kormat@cumin1001> dbctl commit (dc=all): 'Remove db2126 from dump/vslow T259831', diff saved to https://phabricator.wikimedia.org/P12841 and previous config saved to /var/cache/conftool/dbconfig/20200929-134926-kormat.json

Kormat updated the task description. (Show Details)Tue, Sep 29, 2:28 PM

Mentioned in SAL (#wikimedia-operations) [2020-09-30T08:45:42Z] <kormat> deploying schema change to s7/eqiad T259831

Mentioned in SAL (#wikimedia-operations) [2020-09-30T10:07:18Z] <kormat> deploying schema change to s4/eqiad T259831

Kormat updated the task description. (Show Details)Wed, Sep 30, 12:28 PM
Kormat updated the task description. (Show Details)
Kormat added a comment.EditedWed, Sep 30, 12:34 PM

s4 codfw progress:

  • db2073 sanitarium master, dump/vslow
  • db2090 master
  • db2095:3314 sanitarium
  • db2099:3314 dbstore
  • db2106
  • db2110
  • db2119
  • db2136
  • db2137:3314
  • db2138:3314
  • db2139:3314 dbstore
  • db2140
Kormat updated the task description. (Show Details)Wed, Sep 30, 12:36 PM

Mentioned in SAL (#wikimedia-operations) [2020-10-01T10:47:16Z] <kormat@cumin1001> dbctl commit (dc=all): 'db2119 depooling: schema change T259831', diff saved to https://phabricator.wikimedia.org/P12878 and previous config saved to /var/cache/conftool/dbconfig/20201001-104716-kormat.json

Mentioned in SAL (#wikimedia-operations) [2020-10-01T11:54:16Z] <kormat@cumin1001> dbctl commit (dc=all): 'db2119 (re)pooling @ 25%: schema change T259831', diff saved to https://phabricator.wikimedia.org/P12879 and previous config saved to /var/cache/conftool/dbconfig/20201001-115415-kormat.json

Mentioned in SAL (#wikimedia-operations) [2020-10-01T12:09:19Z] <kormat@cumin1001> dbctl commit (dc=all): 'db2119 (re)pooling @ 50%: schema change T259831', diff saved to https://phabricator.wikimedia.org/P12880 and previous config saved to /var/cache/conftool/dbconfig/20201001-120919-kormat.json

Mentioned in SAL (#wikimedia-operations) [2020-10-01T12:24:22Z] <kormat@cumin1001> dbctl commit (dc=all): 'db2119 (re)pooling @ 75%: schema change T259831', diff saved to https://phabricator.wikimedia.org/P12881 and previous config saved to /var/cache/conftool/dbconfig/20201001-122422-kormat.json

Mentioned in SAL (#wikimedia-operations) [2020-10-01T12:39:26Z] <kormat@cumin1001> dbctl commit (dc=all): 'db2119 (re)pooling @ 100%: schema change T259831', diff saved to https://phabricator.wikimedia.org/P12882 and previous config saved to /var/cache/conftool/dbconfig/20201001-123925-kormat.json

Mentioned in SAL (#wikimedia-operations) [2020-10-01T12:57:08Z] <kormat@cumin1001> dbctl commit (dc=all): 'db2136 depooling: schema change T259831', diff saved to https://phabricator.wikimedia.org/P12883 and previous config saved to /var/cache/conftool/dbconfig/20201001-125707-kormat.json

Mentioned in SAL (#wikimedia-operations) [2020-10-01T13:51:50Z] <kormat@cumin1001> dbctl commit (dc=all): 'db2136 (re)pooling @ 33%: schema change T259831', diff saved to https://phabricator.wikimedia.org/P12884 and previous config saved to /var/cache/conftool/dbconfig/20201001-135149-kormat.json

Mentioned in SAL (#wikimedia-operations) [2020-10-01T14:06:53Z] <kormat@cumin1001> dbctl commit (dc=all): 'db2136 (re)pooling @ 67%: schema change T259831', diff saved to https://phabricator.wikimedia.org/P12885 and previous config saved to /var/cache/conftool/dbconfig/20201001-140653-kormat.json

Mentioned in SAL (#wikimedia-operations) [2020-10-01T14:21:57Z] <kormat@cumin1001> dbctl commit (dc=all): 'db2136 (re)pooling @ 100%: schema change T259831', diff saved to https://phabricator.wikimedia.org/P12886 and previous config saved to /var/cache/conftool/dbconfig/20201001-142156-kormat.json

Mentioned in SAL (#wikimedia-operations) [2020-10-02T09:27:15Z] <kormat@cumin1001> dbctl commit (dc=all): 'db2106 depooling: schema change T259831', diff saved to https://phabricator.wikimedia.org/P12896 and previous config saved to /var/cache/conftool/dbconfig/20201002-092715-kormat.json

Mentioned in SAL (#wikimedia-operations) [2020-10-02T10:13:14Z] <kormat@cumin1001> dbctl commit (dc=all): 'db2106 (re)pooling @ 33%: schema change T259831', diff saved to https://phabricator.wikimedia.org/P12897 and previous config saved to /var/cache/conftool/dbconfig/20201002-101313-kormat.json

Mentioned in SAL (#wikimedia-operations) [2020-10-02T10:28:17Z] <kormat@cumin1001> dbctl commit (dc=all): 'db2106 (re)pooling @ 67%: schema change T259831', diff saved to https://phabricator.wikimedia.org/P12898 and previous config saved to /var/cache/conftool/dbconfig/20201002-102817-kormat.json

Mentioned in SAL (#wikimedia-operations) [2020-10-02T10:43:21Z] <kormat@cumin1001> dbctl commit (dc=all): 'db2106 (re)pooling @ 100%: schema change T259831', diff saved to https://phabricator.wikimedia.org/P12899 and previous config saved to /var/cache/conftool/dbconfig/20201002-104320-kormat.json

Mentioned in SAL (#wikimedia-operations) [2020-10-02T10:44:54Z] <kormat@cumin1001> dbctl commit (dc=all): 'db2110 depooling: schema change T259831', diff saved to https://phabricator.wikimedia.org/P12900 and previous config saved to /var/cache/conftool/dbconfig/20201002-104453-kormat.json

Mentioned in SAL (#wikimedia-operations) [2020-10-02T11:53:22Z] <kormat@cumin1001> dbctl commit (dc=all): 'db2110 (re)pooling @ 75%: schema change T259831', diff saved to https://phabricator.wikimedia.org/P12901 and previous config saved to /var/cache/conftool/dbconfig/20201002-115322-kormat.json

Mentioned in SAL (#wikimedia-operations) [2020-10-02T12:08:26Z] <kormat@cumin1001> dbctl commit (dc=all): 'db2110 (re)pooling @ 100%: schema change T259831', diff saved to https://phabricator.wikimedia.org/P12902 and previous config saved to /var/cache/conftool/dbconfig/20201002-120825-kormat.json

Mentioned in SAL (#wikimedia-operations) [2020-10-02T12:19:28Z] <kormat@cumin1001> dbctl commit (dc=all): 'db2140 depooling: schema change T259831', diff saved to https://phabricator.wikimedia.org/P12903 and previous config saved to /var/cache/conftool/dbconfig/20201002-121830-kormat.json

Mentioned in SAL (#wikimedia-operations) [2020-10-02T13:20:42Z] <kormat@cumin1001> dbctl commit (dc=all): 'db2140 (re)pooling @ 75%: schema change T259831', diff saved to https://phabricator.wikimedia.org/P12904 and previous config saved to /var/cache/conftool/dbconfig/20201002-132042-kormat.json

Mentioned in SAL (#wikimedia-operations) [2020-10-02T13:35:46Z] <kormat@cumin1001> dbctl commit (dc=all): 'db2140 (re)pooling @ 100%: schema change T259831', diff saved to https://phabricator.wikimedia.org/P12905 and previous config saved to /var/cache/conftool/dbconfig/20201002-133545-kormat.json

Mentioned in SAL (#wikimedia-operations) [2020-10-05T08:38:23Z] <kormat@cumin1001> dbctl commit (dc=all): 'Add db2119 to s4 dump/vslow temporarily T259831', diff saved to https://phabricator.wikimedia.org/P12917 and previous config saved to /var/cache/conftool/dbconfig/20201005-083822-kormat.json

Mentioned in SAL (#wikimedia-operations) [2020-10-05T08:40:22Z] <kormat@cumin1001> dbctl commit (dc=all): 'db2073 depooling: schema change T259831', diff saved to https://phabricator.wikimedia.org/P12918 and previous config saved to /var/cache/conftool/dbconfig/20201005-084022-kormat.json

Mentioned in SAL (#wikimedia-operations) [2020-10-06T13:40:26Z] <kormat@cumin1001> dbctl commit (dc=all): 'Remove db2119 from dump/vslow, add to all other contributions/logpager/recentchanges*/watchlist temporarily T259831', diff saved to https://phabricator.wikimedia.org/P12931 and previous config saved to /var/cache/conftool/dbconfig/20201006-134020-kormat.json

Mentioned in SAL (#wikimedia-operations) [2020-10-06T13:41:49Z] <kormat@cumin1001> dbctl commit (dc=all): 'db2137:3314 depooling: schema change T259831', diff saved to https://phabricator.wikimedia.org/P12932 and previous config saved to /var/cache/conftool/dbconfig/20201006-134149-kormat.json

Mentioned in SAL (#wikimedia-operations) [2020-10-06T14:31:58Z] <kormat@cumin1001> dbctl commit (dc=all): 'db2137:3314 (re)pooling @ 75%: schema change T259831', diff saved to https://phabricator.wikimedia.org/P12935 and previous config saved to /var/cache/conftool/dbconfig/20201006-143157-kormat.json

Mentioned in SAL (#wikimedia-operations) [2020-10-06T14:47:01Z] <kormat@cumin1001> dbctl commit (dc=all): 'db2137:3314 (re)pooling @ 100%: schema change T259831', diff saved to https://phabricator.wikimedia.org/P12936 and previous config saved to /var/cache/conftool/dbconfig/20201006-144701-kormat.json

Mentioned in SAL (#wikimedia-operations) [2020-10-07T08:39:03Z] <kormat@cumin1001> dbctl commit (dc=all): 'db2138:3314 depooling: schema change T259831', diff saved to https://phabricator.wikimedia.org/P12942 and previous config saved to /var/cache/conftool/dbconfig/20201007-083903-kormat.json

Mentioned in SAL (#wikimedia-operations) [2020-10-07T09:53:55Z] <kormat@cumin1001> dbctl commit (dc=all): 'Remove db2119 from mw load groups T259831', diff saved to https://phabricator.wikimedia.org/P12945 and previous config saved to /var/cache/conftool/dbconfig/20201007-095355-kormat.json

Mentioned in SAL (#wikimedia-operations) [2020-10-08T08:19:48Z] <kormat> running schema change against s8 in eqiad T259831

LSobanski moved this task from Next to In Progress on the Data-Persistence board.Thu, Oct 8, 9:42 AM
LSobanski moved this task from In progress to Ready on the DBA board.Thu, Oct 8, 9:54 AM
Kormat updated the task description. (Show Details)Fri, Oct 9, 9:26 AM

Mentioned in SAL (#wikimedia-operations) [2020-10-13T07:43:39Z] <kormat> running schema change against s3 in eqiad T259831

Kormat updated the task description. (Show Details)Tue, Oct 13, 8:28 AM

Mentioned in SAL (#wikimedia-operations) [2020-10-13T09:38:59Z] <kormat> running schema change against s1 in eqiad T259831

Kormat changed the task status from Open to Stalled.Tue, Oct 13, 12:57 PM
Kormat updated the task description. (Show Details)

All of eqiad is now done. The remaining hosts/sections in codfw will be done after the dc switchback.

Kormat closed this task as Resolved.Tue, Oct 13, 1:07 PM
Kormat reopened this task as Stalled.
Kormat moved this task from Ready to Blocked on the DBA board.
Kormat moved this task from Active 🚁 to Blocked 🚧 on the User-Kormat board.Fri, Oct 16, 8:24 AM